%define	upstream_name	 Catalyst-Devel
%define upstream_version 1.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Catalyst Development Tools
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.900.10
BuildRequires: perl(Catalyst::Action::RenderView) >= 0.100.0
BuildRequires: perl(Catalyst::Plugin::ConfigLoader) >= 0.300.0
BuildRequires: perl(Catalyst::Plugin::Static::Simple) >= 0.280.0
BuildRequires: perl(Config::General) >= 2.420.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::ChangeNotify) >= 0.70.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Module::Install) >= 1.20.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Daemonize)
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast)
BuildRequires: perl(Path::Class) >= 0.90.0
BuildRequires: perl(Starman)
BuildRequires: perl(Template) >= 2.140.0
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

Requires:   perl >= 5.8.1
%description
Catalyst is an elegant web application framework, extremely flexible yet
extremely simple. It's similar to Ruby on Rails, Spring (Java) and Maypole,
upon which it was originally based.

This package provides Catalyst development tools.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# jq - should be removed when 5.10.1 is out
export CATALYST_DEVEL_NO_510_CHECK=1
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%__make

%check
%__make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%{perl_vendorlib}/auto
%{perl_vendorlib}/Catalyst*
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.390.0-2.mga4
+ Revision: 528656
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.390.0-1.mga4
+ Revision: 446862
- update to 1.39

* Mon Jun 10 2013 jquelin <jquelin> 1.380.0-1.mga4
+ Revision: 441489
- update to 1.38

* Sun Jan 13 2013 umeabot <umeabot> 1.370.0-2.mga3
+ Revision: 363899
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.370.0-1.mga3
+ Revision: 254644
- update to 1.37

* Wed Nov 09 2011 jquelin <jquelin> 1.360.0-1.mga2
+ Revision: 165762
- adding missing buildrequires:
- update to 1.36
- update to 1.34

* Fri Mar 25 2011 jquelin <jquelin> 1.330.0-1.mga1
+ Revision: 77300
- update to 1.33

* Thu Mar 24 2011 jquelin <jquelin> 1.320.0-1.mga1
+ Revision: 76614
- update to 1.32

* Fri Feb 18 2011 jquelin <jquelin> 1.310.0-1.mga1
+ Revision: 53723
- update to 1.31

* Wed Jan 26 2011 jquelin <jquelin> 1.280.0-1.mga1
+ Revision: 41009
- mageia rebuild
- imported package perl-Catalyst-Devel

